Crashpad

Public Member Functions | List of all members
crashpad::test::TestMemoryMapRegionSnapshot Class Referencefinal

A test MemoryMapRegionSnapshot that can carry arbitrary data for testing purposes. More...

`#include "snapshot/test/test_memory_map_region_snapshot.h"`

Inheritance diagram for crashpad::test::TestMemoryMapRegionSnapshot:

## Public Member Functions
void | SetMindumpMemoryInfo (const MINIDUMP_MEMORY_INFO &mmi)
const MINIDUMP_MEMORY_INFO & | AsMinidumpMemoryInfo () const override
| Gets a MINIDUMP_MEMORY_INFO representing the region.

## Detailed Description

A test MemoryMapRegionSnapshot that can carry arbitrary data for testing purposes.

The documentation for this class was generated from the following files:

- snapshot/test/test_memory_map_region_snapshot.h
- snapshot/test/test_memory_map_region_snapshot.cc